Remove permissions from a role

This endpoint allows you to remove one or more permissions from a specific role.

Remove permissions from a role.

delete

If any of the permissions is not granted, it will be ignored.

Path parameters
roleIdstringRequired

The id of the role.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class represents the request data transfer object for Grant permissions by role.

permissionIdsstring[]Required

The list of permission ids.

Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

databooleanOptional
delete
/api/v1/roles/{roleId}/permissions

Last updated